Qwt User's Guide 6.1.3

- Main Page
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
QwtCurveFitter Class Referenceabstract

Abstract base class for a curve fitter. More...

`#include <qwt_curve_fitter.h>`

Inheritance diagram for QwtCurveFitter:
[legend]

## Public Member Functions
virtual | ~QwtCurveFitter ()
| Destructor.
virtual QPolygonF | fitCurve (const QPolygonF &polygon) const =0

## Protected Member Functions
| QwtCurveFitter ()
| Constructor.

## Detailed Description

Abstract base class for a curve fitter.

## Member Function Documentation

virtual QPolygonF QwtCurveFitter::fitCurve | ( | const QPolygonF & | polygon | ) | const
| pure virtual

Find a curve which has the best fit to a series of data points

Parameters

  polygon | Series of data points

Returns
  Curve points

Implemented in QwtWeedingCurveFitter, and QwtSplineCurveFitter.